FieldFlag (Solr 3.6.2 API)
Keywords: org.apache.solr.common.luke.FieldFlag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.solr.common.luke
Enum FieldFlag

    java.lang.Object
      java.lang.Enum<FieldFlag>
          org.apache.solr.common.luke.FieldFlag

All Implemented Interfaces:
  Serializable, Comparable<FieldFlag>

    public enum FieldFlag

extends Enum<FieldFlag>

Since:
  solr 1.3
Version:
  $Id: AdminHandlers.java 608150 2008-01-02 17:15:30Z ryan $

Enum Constant Summary
`BINARY`
`INDEXED`
`LAZY`
`MULTI_VALUED`
`OMIT_NORMS`
`OMIT_POSITIONS`
`OMIT_TF`
`SORT_MISSING_FIRST`
`SORT_MISSING_LAST`
`STORED`
`TERM_VECTOR_OFFSET`
`TERM_VECTOR_POSITION`
`TERM_VECTOR_STORED`
`TOKENIZED`

Method Summary
`char` | `getAbbreviation()`
`String` | `getDisplay()`
`static FieldFlag` | `getFlag(char abbrev)`
`static FieldFlag` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FieldFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INDEXED

    public static final FieldFlag INDEXED

### TOKENIZED

    public static final FieldFlag TOKENIZED

### STORED

    public static final FieldFlag STORED

### MULTI_VALUED

    public static final FieldFlag MULTI_VALUED

### TERM_VECTOR_STORED

    public static final FieldFlag TERM_VECTOR_STORED

### TERM_VECTOR_OFFSET

    public static final FieldFlag TERM_VECTOR_OFFSET

### TERM_VECTOR_POSITION

    public static final FieldFlag TERM_VECTOR_POSITION

### OMIT_NORMS

    public static final FieldFlag OMIT_NORMS

### OMIT_TF

    public static final FieldFlag OMIT_TF

### OMIT_POSITIONS

    public static final FieldFlag OMIT_POSITIONS

### LAZY

    public static final FieldFlag LAZY

### BINARY

    public static final FieldFlag BINARY

### SORT_MISSING_FIRST

    public static final FieldFlag SORT_MISSING_FIRST

### SORT_MISSING_LAST

    public static final FieldFlag SORT_MISSING_LAST

Method Detail

### values

    public static final FieldFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(FieldFlag c : FieldFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static FieldFlag valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getFlag

    public static FieldFlag getFlag(char abbrev)

### getAbbreviation

    public char getAbbreviation()

### getDisplay

    public String getDisplay()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD